clear
Fs=2500; %采样频率
Fc=1000; %载波频率
T=0.1; %观察区间
Ns=Fs*T; %信号观察总长度
t=0:1/Fs:(Ns-1)/Fs;
%A0=3;  %调制偏移电平
x1=2*cos(2*pi*50*t);
x2=cos(2*pi*20*t);
x=x1+x2;%原始调制信号  
    figure(1)
    subplot(2,1,1)
    plot(t,x)
    title('调制信号')
    Nf=2048;
    n=0:Nf-1;
    y1=fft(x,Nf);%对信号进行快速Fourier变换
    mag1=abs(y1);%求得Fourier变换后的振幅
    f=n*Fs/Nf;%频率序列
figure(2)
plot(f,mag1); 
   %u2=ammod(x,Fc,Fs);%已调dsbAM信号
    %subplot(2,1,2)
    %plot(u2)
    %title('DSB-AM已调信号')